Read view context
curl --request POST \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions/{version}/materialize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"query": "<string>",
"limits": {
"max_tokens": 16640
},
"mode": "hybrid"
}
'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions/{version}/materialize"
payload = {
"query": "<string>",
"limits": { "max_tokens": 16640 },
"mode": "hybrid"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({query: '<string>', limits: {max_tokens: 16640}, mode: 'hybrid'})
};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions/{version}/materialize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions/{version}/materialize",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'query' => '<string>',
'limits' => [
'max_tokens' => 16640
],
'mode' => 'hybrid'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions/{version}/materialize"
payload := strings.NewReader("{\n \"query\": \"<string>\",\n \"limits\": {\n \"max_tokens\": 16640\n },\n \"mode\": \"hybrid\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions/{version}/materialize")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"query\": \"<string>\",\n \"limits\": {\n \"max_tokens\": 16640\n },\n \"mode\": \"hybrid\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions/{version}/materialize")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"query\": \"<string>\",\n \"limits\": {\n \"max_tokens\": 16640\n },\n \"mode\": \"hybrid\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"schema": "penumbra.context-receipt",
"version": 1,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slice_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slice_version_number": 123,
"query": "<string>",
"mode": "lexical",
"max_tokens": 16640,
"compile_fingerprint": "<string>",
"definition_hash": "<string>",
"resolved_hash": "<string>",
"ontology_revision": "<string>",
"membership_hash": "<string>",
"packet_semantic_hash": "<string>",
"packet_hash": "<string>",
"counts": {
"evidence": 4503599627370495,
"entities": 4503599627370495,
"relationships": 4503599627370495,
"used_tokens": 4503599627370495
},
"packet_resource": "<string>",
"created_by_subject_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"replayed": true
}
}Views
Read view context
Materialize a published View version into a cited packet.
Read view context
curl --request POST \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions/{version}/materialize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"query": "<string>",
"limits": {
"max_tokens": 16640
},
"mode": "hybrid"
}
'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions/{version}/materialize"
payload = {
"query": "<string>",
"limits": { "max_tokens": 16640 },
"mode": "hybrid"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({query: '<string>', limits: {max_tokens: 16640}, mode: 'hybrid'})
};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions/{version}/materialize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions/{version}/materialize",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'query' => '<string>',
'limits' => [
'max_tokens' => 16640
],
'mode' => 'hybrid'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions/{version}/materialize"
payload := strings.NewReader("{\n \"query\": \"<string>\",\n \"limits\": {\n \"max_tokens\": 16640\n },\n \"mode\": \"hybrid\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions/{version}/materialize")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"query\": \"<string>\",\n \"limits\": {\n \"max_tokens\": 16640\n },\n \"mode\": \"hybrid\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions/{version}/materialize")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"query\": \"<string>\",\n \"limits\": {\n \"max_tokens\": 16640\n },\n \"mode\": \"hybrid\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"schema": "penumbra.context-receipt",
"version": 1,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slice_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slice_version_number": 123,
"query": "<string>",
"mode": "lexical",
"max_tokens": 16640,
"compile_fingerprint": "<string>",
"definition_hash": "<string>",
"resolved_hash": "<string>",
"ontology_revision": "<string>",
"membership_hash": "<string>",
"packet_semantic_hash": "<string>",
"packet_hash": "<string>",
"counts": {
"evidence": 4503599627370495,
"entities": 4503599627370495,
"relationships": 4503599627370495,
"used_tokens": 4503599627370495
},
"packet_resource": "<string>",
"created_by_subject_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"replayed": true
}
}Operation ID:
http.views.versions.materialize
POST /v1/orgs/{org}/projects/{project}/context/slices/{id}/versions/{version}/materialize
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
1–200 printable ASCII characters, no surrounding spaces; '.' and '..' are reserved. Reuse this key with the same request when retrying an uncertain outcome.
Required string length:
1 - 200Pattern:
^(?!\.{1,2}$)[!-~](?:[ -~]*[!-~])?$Body
application/json
Response
2XX - application/json
Success.
Show child attributes
Show child attributes